﻿.products-page-box{
    display: block;
    width: 100%;
    position: relative;
    padding-top: 136px;
}
#products-page .products-path-box{
    width: 1200px;
    max-width: 100%;
    margin: 0 auto;
}
#products-page .products-path{
    font-size: 14px;
    margin-left: 20px;
}
#products-page .products-path:after{
    font-size: 14px;
    right: -15px;
}
#products-page .products-path:before{
    bottom: 3px;
}
.products-path:last-child{
    color: #000;
}
.products-page-main-box{
    display: block;
    box-sizing: border-box;
    padding-bottom: 80px;
    font-size: 0;
}
.products-page-info-bc-box{
    background-color: #f5f5f5;
}
.products-page-info-box{
    width: 1200px;
    max-width: 100%;
    margin: 0 auto;
    position: relative;
}
.products-page-info-img-box{
    display: inline-block;
    width: calc(100% - 360px);
    vertical-align: top;
    position: relative;
}
.products-page-info-img-big-box{
    display: block;
    width: 620px;
    margin: 0 auto;
}
.products-page-info-img-big{
    width: 620px;
    height: 520px;
    display: block;
}
.products-page-info-img-small-box{
    display: inline-block;
    width: 40px;
    vertical-align: middle;
    position: absolute;
    top: calc(50% - 153px);
    left: 0;
}
.products-page-info-img-small{
    box-sizing: border-box;
}
.products-page-info-img-small span{
    display: block;
    width: 100%;
    height: 40px;
    margin-bottom: 40px;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    border: 1px solid #bbb;
    box-sizing: border-box;
    cursor: pointer;
}
.products-page-info-img-small-box .slick-current span{
    border: 1px solid #389cd2;
}
.products-page-info{
    display: inline-block;
    width: 360px;
    background-color: #fff;
    box-sizing: border-box;
    padding: 20px 35px;
    position: relative;
    z-index: 1;
}
.products-page-info-title{
    font-size: 18px;
    color: #000;
    letter-spacing: 2px;
    line-height: 1.6;
}
.products-page-info-explanation{
    font-size: 14px;
    color: #888;
    letter-spacing: 2px;
    min-height: 20px;
    max-height: 336px;
    overflow-y: auto;
}
.products-page-info-capacity-box{
    font-size: 14px;
    color: #888;
    letter-spacing: 2px;
    margin-top: 20px;
}
.products-page-info-price-box{
    display: block;
    width: 100%;
    text-align: right;
    margin: 40px 0;
}
.products-page-info-price-before{
    min-width: 40px;
    display: inline-block;
    color: #888;
    font-size: 14px;
    text-decoration:line-through;
    margin-right: 20px;
    letter-spacing: 2px;
    font-family: 'roboto';
    transition: all .3s linear;
}
.products-page-info-price-now{
    display: inline-block;
    min-width: 28px;
    color: #ffa3a9;
    font-size: 28px;
    letter-spacing: 3px;
    font-family: 'roboto';
    transition: all .3s linear;
}
/* 尺寸 */
.products-page-info-size-box {
    margin-bottom: 20px;
    position: relative;
}
.products-page-info-size-box input {
    opacity: 0;
    position: absolute;
    pointer-events: none;
}
.products-page-info-size-title {
    text-align: right;
    width: 100%;
    height: 36px;
    border: 1px solid #ddd;
    font-size: 16px;
    letter-spacing: 1px;
    text-align: center;
    line-height: 36px;
    position: relative;
    box-sizing: border-box;
    cursor: pointer;
}
.products-page-info-size-title:after {
    content: '';
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 10px solid transparent;
    border-top: 10px solid #888;
    border-left: 10px solid transparent;
    display: block;
    position: absolute;
    bottom: calc(50% - 5px);
    right: 5%;
    box-sizing: border-box;
}
.products-page-info-size-option-box {
    border: 1px solid #ddd;
    border-top: none;
    display: none;
    position: absolute;
    width: 100%;
    background-color: #fff;
    box-sizing: border-box;
    text-align: center;
    z-index: 1;
}
.products-page-info-size-option {
    display: block;
    font-size: 15px;
    padding: 5px;
    border-bottom: 1px solid #eee;
    transition: all .3s linear;
    cursor: pointer;
}
.products-page-info-size-option:hover {
    background-color: #389cd2;
    color: #fff;
}
/* 尺寸 End */
.products-page-list-many-box {
    width: 100px;
    max-width: 100%;
    margin: 0 auto;
    display: inline-block;
    font-size: 0;
    vertical-align: top;
}
.products-page-list-bth {
    display: inline-block;
    vertical-align: top;
    border: 1px solid #ddd;
    font-size: 16px;
    width: 30px;
    height: 30px;
    line-height: 25px;
    text-align: center;
    color: #555;
    box-sizing: border-box;
    cursor: pointer;
}
.products-page-list-many-box input {
    display: inline-block;
    vertical-align: top;
    font-size: 14px;
    border: 1px solid #ddd;
    width: calc(100% - 60px);
    height: 30px;
    box-sizing: border-box;
    color: #000;
    text-align: center;
    border-right: 0;
    border-left: 0;
}
.products-page-button {
    width: 160px;
    max-width: 100%;
    height: 30px;
    font-size: 12px;
    color: #fff;
    letter-spacing: 2px;
    background-color: #389cd2;
    border: none;
    font-family: "微軟正黑體", "Microsoft JhengHei";
    margin-left: 30px;
    display: inline-block;
    outline: none;
    transition: all .3s linear;
    cursor: pointer;
    vertical-align: top;
}
.products-page-button.soldOut {
    background-color: #ddd;
    color: #000;
    cursor: no-drop;
}
.rwd-products-page-menu-class-list{
    width: 300px;
    height: 46px;
    border: 1px solid #ccc;
    font-size: 16px;
    letter-spacing: 1px;
    text-align: center;
    display: none;
    line-height: 46px;
    position: relative;
    box-sizing: border-box;
    color: #888;
}
.rwd-products-page-menu-class-list:after {
    content: '';
    width: 0px;
    height: 0px;
    margin: 0 auto;
    border-right: 5px solid transparent;
    border-top: 8px solid #888;
    border-left: 5px solid transparent;
    display: block;
    position: absolute;
    bottom: calc(50% - 5px);
    right: 5%;
    box-sizing: border-box;
}
.products-page-text-button-box{
    margin: 50px 0;
    margin-bottom: 40px;
}
.products-page-text-button{
    display: inline-block;
    width: 185px;
    height: 46px;
    line-height: 46px;
    font-size: 14px;
    color: #888;
    font-weight: lighter;
    border: 1px solid #d1d1d1;
    text-align: center;
    letter-spacing: 1px;
    margin-left: 18px;
    box-sizing: border-box;
    cursor: pointer;
    transition: all .3s linear;
    margin-bottom: 10px;
}
.products-page-text-button:nth-child(6n + 1){
    margin-left: 0;
}
.products-page-text-title{
    font-size: 16px;
    letter-spacing: 1px;
    margin-bottom: 5px;
}
.products-page-text-edit{
    font-size: 14px;
    color: #888;
    line-height: 2;
    letter-spacing: 2px;
    font-weight: lighter;
}
.products-page-text{
    display: none;
}
.products-page-text.active{
    display: block;
}
.products-page-like-box{
    width: 1215px;
    max-width: 100%;
    margin: 0 auto;
    margin-top: 80px;
}
.products-page-like-title{
    font-size: 18px;
    color: #555;
    text-align: center;
    margin-bottom: 50px;
    letter-spacing: 2px;
}
.products-page-like{
    width: 300px;
    display: inline-block;
    background-color: #fff;
    box-sizing: border-box;
    padding: 10px;
    padding-bottom: 6px;
    margin-left: 5px;
    transition: all .3s linear;
}
.products-page-like:nth-child(2){
    margin-left: 0;
}
.products-page-like-img-box{
    display: block;
    width: 100%;
    height: 280px;
    box-sizing: border-box;
    overflow: hidden;
    position: relative;
    margin: 0 auto;
}
.products-page-like-img{
    height: 100%;
    width: 100%;
    display: block;
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    transition: all .3s linear;
}
.products-page-like-buycar-box{
    width: 100%;
    font-size: 14px;
    display: block;
    position: absolute;
    bottom: -30px;
    left: 0;
    z-index: 2;
    background-color: #ddd;
    color: #389cd2;
    box-sizing: border-box;
    padding: 4px 5px;
    cursor: pointer;
    transition: all .3s linear;
}
.products-page-like-buycar{
    color: #555;
}
.products-page-like-text-box{
    display: block;
    color: #389cd2;
    font-size: 14px;
    margin-top: 12px;
    transition: all .3s linear;
}
.products-page-like-text-price-box{
    display: block;
    transition: all .3s linear;
}
.products-page-like-text-price-before{
    min-width: 40px;
    display: inline-block;
    color: #888;
    font-size: 14px;
    text-decoration:line-through;
    margin-right: 20px;
    transition: all .3s linear;
}
.products-page-like-text-price-now{
    display: inline-block;
    min-width: 40px;
    color: #ffa3a9;
    font-size: 14px;
    margin: 0 auto;
    transition: all .3s linear;
}





/*<--------------hover--------------->*/
.products-page-text-button:hover,
.products-page-text-button.active{
    background-color: #d1d1d1;
    color: #000;
}
.products-page-like:hover{
    background-color: #389cd2;
}
.products-page-like:hover .products-page-like-text-box{
    color: #fff;
}
.products-page-like:hover .products-page-like-text-price-now{
    color: #fff;
}
.products-page-like:hover .products-page-like-text-price-before{
    color: #ddd;
}
.products-page-like:hover .products-page-like-buycar-box{
    bottom: 0;
}
.products-page-button:hover{
    background-color: #043148;
    letter-spacing: 5px;
    color: #fff;
}
.products-page-like:hover .products-info-img-hover{
    opacity: 1;
}
.products-info-buycar-box:hover{
    background-color: #2f7da7;
}
.products-info-buycar-box:hover .products-info-buycar{
    color: #fff;
}
@media only screen and (max-width: 1215px){
    .products-page-like-box{
        width: 1015px;
    }
    .products-page-like{
        width: 250px;
    }
    .products-page-like-img-box{
        height: 230px;
    }
}
@media only screen and (max-width: 1200px){
    .products-page-info-box{
        width: 1000px;
    }
    .products-page-info-img-big-box{
        width: 520px;
    }
    .products-page-info-img-big{
        width: 520px;
        height: 436px;
    }
    .products-page-text-button{
        margin-left: 14px;
        width: 155px;
    }
    .products-page-box{
        padding-top: 77px;
    }
}
@media only screen and (max-width: 1015px){
    .products-page-like-box{
        width: 815px;
    }
    .products-page-like{
        width: 200px;
    }
    .products-page-like-img-box{
        height: 180px;
    }
}
@media only screen and (max-width: 1000px){
    .products-page-box{
        padding-top: 62px;
    }
    .products-page-info-box,
    .products-page-info-img-box{
        width: 800px;
        max-width: 100%;
    }
    .products-page-info-img-big-box{
        width: 800px;
        max-width: 100%;
    }
    .products-page-info-img-big{
        width: 800px;
        height: 671px;
    }
    .products-page-info-img-small-box{
        position: relative;
        width: 380px;
        text-align: center;
        top: inherit;
        left: inherit;
        margin: 0 auto;
        display: block;
    }
    .products-page-info-img-small span{
        width: 80px;
        height: 80px;
        margin: 20px 0;
        margin-right: 20px;
    }
    .products-page-info{
        width: 100%;
        margin-bottom: 20px;
    }
    .products-page-info-get-box{
        text-align: right;
    }
    .products-page-info-bc-box{
        padding-top: 20px;
    }
    .products-page-text-button{
        width: 100%;
        margin-left: 0;
        margin-bottom: 0;
        border: none;
    }
    .products-page-text-button-box{
        margin: 0;
        position: absolute;
        width: 300px;
        background-color: #fff;
        border: 1px solid #ccc;
        box-sizing: border-box;
        display: none;
        z-index: 10;
    }
    .rwd-products-page-menu-class-list{
        display: block;
        margin-top: 50px;
    }
    .products-page-text-box{
        margin-top: 40px;
    }
}
@media only screen and (max-width: 815px){
    .products-page-like-box{
        width: 610px;
    }
    .products-page-like{
        width: 200px;
    }
    .products-page-like-img-box{
        height: 180px;
    }
    .products-page-like:nth-child(5) {
        display: none;
    }
}
@media only screen and (max-width: 800px){
    .products-page-info-box, 
    .products-page-info-img-box{
        width: 600px;
    }
    .products-page-box{
        padding-top: 54px;
    }
    .products-page-info-img-big {
        width: 600px;
        height: 503px;
    }
}
@media only screen and (max-width: 610px){
    .products-page-like-box{
        width: 410px;
        margin-top: 40px;
    }
    .products-page-like{
        width: 133.33px;
    }
    .products-page-like-img-box{
        height: 113.33px;
    }
    .products-page-like-text-price-before{
        font-size: 12px;
        margin-right: 5px;
    }
    .products-page-like-text-price-now,
    .products-page-like-text-box{
        font-size: 12px;
    }
}
@media only screen and (max-width: 600px){
    .products-page-info-box, 
    .products-page-info-img-box{
        width: 400px;
    }
    .products-page-info-img-big {
        width: 400px;
        height: 336px;
    }
    .products-page-info-img-small-box{
        width: 200px;
    }
    .products-page-info-img-small span {
        width: 60px;
        height: 60px;
        margin: 10px 0;
        margin-right: 10px;
        margin-bottom: 20px;
    }
    .products-page-info-title{
        font-size: 16px;
    }
    .products-page-info-explanation{
        font-size: 12px;
    }
    .products-page-info-capacity-box{
        font-size: 12px;
        margin-top: 10px;
    }
    .products-page-info-price-now{
        font-size: 24px;
    }
    .products-page-button{
        width: 140px;
    }
    .products-page-info-price-box{
        margin: 30px 0;
    }
    .rwd-products-page-menu-class-list{
        display: block;
        margin-top: 20px;
    }
    .products-page-text-box{
        margin-top: 20px;
    }
    .products-page-like-title{
        margin-bottom: 25px;
    }
}
@media only screen and (max-width: 410px){
    .products-page-like-box{
        width: 305px;
        margin-top: 20px;
    }
    .products-page-like{
        width: 150px;
    }
    .products-page-like-img-box{
        height: 130px;
    }
    .products-page-like:nth-child(4) {
        display: none;
    }
}
@media only screen and (max-width: 400px){
    .products-page-box{
        padding-top: 49px;
    }
    .products-page-info-box, 
    .products-page-info-img-box{
        width: 300px;
    }
    .products-page-info-img-big {
        width: 300px;
        height: 252px;
    }
    .products-page-info-title{
        font-size: 14px;
    }
    .products-page-info-price-now{
        font-size: 20px;
    }
    .products-page-button{
        margin-top: 10px;
    }
    .products-page-info-price-box{
        margin: 20px 0;
    }
    .products-page-like-title{
        margin-bottom: 20px;
    }
}
/*animation*/
/*<-------------動畫------------->*/
/*
@keyframes example {
    0%{

    }
    to {
        
    }
}*/
@media only screen and (min-width: 1001px){
    .products-page-info-img-box{
        opacity: 0;
        animation: animation_rtol 1s ease 1 0s both;
    }
    .products-page-info{
        opacity: 0;
        animation: animation_ltor 1s ease 1 0s both;
    }
    .products-page-text-button-box,
    .products-page-text-box{
        opacity: 0;
        animation: animation_btot 1s ease 1 0s both;
    }
    .products-page-like-box{
        opacity: 0;
    }
    .products-page-like-box.active{
        animation: animation_btot 1s ease 1 0s both;
    }
}